[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Installing mod_perl



I am running FC4 and Apache 2.0.54.

Installation instructions say:

 % perl Makefile.PL MP_APXS=$HOME/httpd/prefork/bin/apxs

where MP_APXS is the full path to the apxs executable, normally found in
the same directory as the httpd executable, but could be put in a
different path as well.

I can't find such a path.  No apxs library, no prefork, etc...  Where
should I install it???

Trying the installation shows:
perl Makefile.PL MP_APXS=$HOME/httpd/prefork/bin/apxs
Reading Makefile.PL args from @ARGV
   MP_APXS = /root/httpd/prefork/bin/apxs
no conflicting prior mod_perl version found - good.
[  error] Unable to determine server version, aborting.
[  error] Invalid MP_APXS specified?


I don't know whether this helps:
httpd -l says
Compiled in modules:
  core.c
  prefork.c
  http_core.c
  mod_so.c


Tia, Albert



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]